﻿/*#region sidebar menu */
body.rtl .body__container,
body.rtl .jconfirm,
body.rtl .sidebar__container {
  direction: rtl; }

body.rtl .sidebar__box .sidebar__container .main-menu a {
  text-align: right;
  font-size: 11pt; }

.body__container {
  transition: all ease 400ms;
  height: 100%; }
  .body__container.open {
    overflow-y: hidden; }
  .body__container.position--right.open {
    transform: translate3d(-300px, 0, 0); }
  .body__container.position--left.open {
    transform: translate3d(300px, 0, 0); }

.sidebar__box .sidebar__shadow {
  background-color: rgba(0, 0, 0, 0.4);
  width: 100%;
  height: 100%;
  position: fixed;
  z-index: 10;
  display: none;
  top: 0; }

.sidebar__box .sidebar__close {
  font-size: 25px;
  display: block;
  text-align: center; }

.sidebar__box .sidebar__container {
  transition: all ease 400ms;
  position: fixed;
  overflow-y: hidden;
  overflow: auto;
  height: 100.5%;
  width: 300px;
  top: 0;
  z-index: 10; }
  .sidebar__box .sidebar__container .after, .sidebar__box .sidebar__container .before {
    content: '';
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    position: absolute;
    z-index: -1;
    opacity: 1; }
  .sidebar__box .sidebar__container .before {
    z-index: -2;
    background-position: center;
    background-size: cover;
    filter: blur(50px); }
  .sidebar__box .sidebar__container .after {
    border-left: 1px solid rgba(255, 255, 255, 0.15); }
  .sidebar__box .sidebar__container.position--right {
    right: 0;
    transform: translate3d(100%, 0, 0); }
  .sidebar__box .sidebar__container.position--left {
    left: 0;
    transform: translate3d(-100%, 0, 0); }
  .sidebar__box .sidebar__container.open {
    transform: translate3d(0, 0, 0); }

.sidebar__box .farashop__product-group__menu {
  margin: 20px; }

.sidebar__box .sidebar__container {
  background-color: white; }
  .sidebar__box .sidebar__container .sidebar__close {
    color: #aa0000; }
  .sidebar__box .sidebar__container ul li img {
    background: #ff5100;
    border-radius: 4px;
    margin-left: 15px; }
  .sidebar__box .sidebar__container.open .main-menu > li {
    transform: translateY(0) !important;
    opacity: 1; }
  .sidebar__box .sidebar__container .main-menu .angle {
    transition: all 200ms;
    margin: 0px 5px;
    vertical-align: middle; }
    .sidebar__box .sidebar__container .main-menu .angle.angle-up {
      transform: rotateZ(180deg); }
  .sidebar__box .sidebar__container .main-menu a {
    color: #fff;
    display: block;
    font-size: 9pt;
    padding: 7px 15px;
    transition: all 200ms;
    transform: translate3d(0, 0, 0);
    backface-visibility: hidden; }
    .sidebar__box .sidebar__container .main-menu a:hover i.fa {
      color: #000; }
    .sidebar__box .sidebar__container .main-menu a img {
      max-width: 32px;
      margin: 0 5px; }
    .sidebar__box .sidebar__container .main-menu a i.fa {
      vertical-align: middle;
      display: inline-block;
      width: 32px;
      margin: 0 5px;
      font-size: 17pt;
      text-align: center; }
  .sidebar__box .sidebar__container .main-menu > li {
    transition: all 300ms;
    transform: translateY(50px);
    backface-visibility: hidden;
    opacity: 0; }
    .sidebar__box .sidebar__container .main-menu > li:nth-child(1) {
      transition-delay: 400ms !important; }
    .sidebar__box .sidebar__container .main-menu > li:nth-child(2) {
      transition-delay: 500ms !important; }
    .sidebar__box .sidebar__container .main-menu > li:nth-child(3) {
      transition-delay: 600ms !important; }
    .sidebar__box .sidebar__container .main-menu > li:nth-child(4) {
      transition-delay: 700ms !important; }
    .sidebar__box .sidebar__container .main-menu > li:nth-child(5) {
      transition-delay: 800ms !important; }
    .sidebar__box .sidebar__container .main-menu > li:nth-child(6) {
      transition-delay: 900ms !important; }
    .sidebar__box .sidebar__container .main-menu > li:nth-child(7) {
      transition-delay: 1000ms !important; }
    .sidebar__box .sidebar__container .main-menu > li:nth-child(8) {
      transition-delay: 1100ms !important; }
    .sidebar__box .sidebar__container .main-menu > li:nth-child(9) {
      transition-delay: 1200ms !important; }
    .sidebar__box .sidebar__container .main-menu > li:nth-child(10) {
      transition-delay: 1300ms !important; }
    .sidebar__box .sidebar__container .main-menu > li:nth-child(11) {
      transition-delay: 1400ms !important; }
    .sidebar__box .sidebar__container .main-menu > li:nth-child(12) {
      transition-delay: 1500ms !important; }
    .sidebar__box .sidebar__container .main-menu > li:nth-child(13) {
      transition-delay: 1600ms !important; }
    .sidebar__box .sidebar__container .main-menu > li:nth-child(14) {
      transition-delay: 1700ms !important; }
    .sidebar__box .sidebar__container .main-menu > li:nth-child(15) {
      transition-delay: 1800ms !important; }
    .sidebar__box .sidebar__container .main-menu > li:nth-child(16) {
      transition-delay: 1900ms !important; }
    .sidebar__box .sidebar__container .main-menu > li:nth-child(17) {
      transition-delay: 2000ms !important; }
    .sidebar__box .sidebar__container .main-menu > li:nth-child(18) {
      transition-delay: 2100ms !important; }
    .sidebar__box .sidebar__container .main-menu > li:nth-child(19) {
      transition-delay: 2200ms !important; }
    .sidebar__box .sidebar__container .main-menu > li:nth-child(20) {
      transition-delay: 2300ms !important; }
    .sidebar__box .sidebar__container .main-menu > li > a {
      position: relative; }
      .sidebar__box .sidebar__container .main-menu > li > a:hover:after {
        width: 90%;
        background: rgba(0, 0, 0, 0.1); }
      .sidebar__box .sidebar__container .main-menu > li > a:after {
        transition: all 300ms;
        content: '';
        position: absolute;
        display: block;
        width: 0%;
        top: 0;
        z-index: 0;
        background: transparent;
        height: 100%; }
  .sidebar__box .sidebar__container .main-menu ul {
    display: none;
    background: transparent !important;
    margin-right: 40px; }

/*#endregion */
@media screen and (max-width: 767px) {
  .header__bottom {
    display: none; } }

.product-details__code {
  display: none; }

.farashop__footer .footer__contact-info > div {
  margin-right: 0; }

.toggle-sidebar {
  font-size: 26px;
  position: relative;
  top: 4px;
  cursor: pointer;
  color: #ff5100  !important; }

.header__auth {
  display: flex;
  flex-direction: row-reverse; }
  .header__auth div:last-child a {
    display: inline-block;
    color: #fff;
    background-color: #cc0710;
    text-align: center;
    -moz-box-sizing: content-box;
    -webkit-box-sizing: content-box;
    box-sizing: content-box;
    border-radius: 5px;
    border-top-left-radius: 0;
    border-top-right-radius: 0;
    height: 20px;
    vertical-align: bottom;
    margin-left: 8px; }
